%define major 7
%define name libfwbuilder
%define libname %mklibname fwbuilder %{major}
%define develname %mklibname -d fwbuilder
%define version 2.1.16
%define release %mkrel 1

Name: %{name}
Summary: Firewall Builder API
Url: http://www.fwbuilder.org/
Version: %{version}
Release: %{release}
License: GPLv2+
Group:  System/Libraries
Source: http://prdownloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bind-devel
BuildRequires:	libqt-devel
BuildRequires:	libsigc++-devel
BuildRequires:	libxslt-devel
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel

%description
Firewall Builder API Library

%package -n %name-data
Summary: Fixed data for fwbuilder
Group: System/Libraries
Requires: %{libname} = %version

%description -n %name-data
Fised data for libfwbuilder.
The Firewall Builder API Library

%package -n %{libname}
Summary: Firewall Builder API
Group:  System/Libraries
Requires: %name-data = %version
Provides: %name = %version-%release
Obsoletes: %{_lib}fwbuilder6 = 2.1.5

%description -n %{libname}
Firewall Builder API Library

%package -n %{develname}
Summary:   Firewall Builder API Libraries and Header Files
Group:     Development/Other
Requires:  %{libname} = %{version}
Obsoletes: fwbuilder-devel
Provides:  fwbuilder-devel
Provides:  libfwbuilder-devel = %{version}-%{release}
Obsoletes: %mklibname -d fwbuilder 7
Obsoletes: %mklibname -d fwbuilder 6

%description -n %{develname}
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.

%prep 
%setup -q

%build
%{__libtoolize} --force --copy
%{__aclocal}
%{__autoconf}

%configure2_5x	--enable-auto-docdir \
		--with-templatedir=%{_datadir}/%{name}
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DDIR="${RPM_BUILD_ROOT}/" install

rm -fr $RPM_BUILD_ROOT/%_datadir/doc/*

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/libfwbuilder-config-2.1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %name-data
%defattr(-,root,root)
%{_datadir}/%{name}
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files  -n %{develname}
%defattr(-, root, root)
%{_bindir}/libfwbuilder-config-2.1
%multiarch %{multiarch_bindir}/libfwbuilder-config-2.1
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 2.1.16-1mdv2008.1
+ Revision: 161440
- New version 2.1.16

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.13-2mdv2008.0
+ Revision: 60250
- add the actual patch as well...
- added P0 from gentoo to make it build with gcc42
- rebuilt against new net-snmp libs

  + Funda Wang <fundawang@mandriva.org>
    - New version 2.1.13

* Wed May 02 2007 Lenny Cartier <lenny@mandriva.org> 2.1.11-1mdv2008.0
+ Revision: 20668
- Update to 2.1.11


* Tue Mar 06 2007 Stefan van der Eijk <stefan@mandriva.org> 2.1.10-1mdv2007.0
+ Revision: 133662
- 2.1.10

* Wed Feb 14 2007 Lenny Cartier <lenny@mandriva.com> 2.1.9-1mdv2007.1
+ Revision: 120746
- Update to 2.1.9

* Sat Dec 09 2006 Stefan van der Eijk <stefan@mandriva.org> 2.1.8-1mdv2007.1
+ Revision: 94061
- 2.1.8

* Thu Nov 02 2006 Stefan van der Eijk <stefan@mandriva.org> 2.1.7-1mdv2007.1
+ Revision: 75990
- 2.1.7

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.5-3mdv2007.0
+ Revision: 59229
- fix obsolete, usefull on cooker

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.5-2mdv2007.0
+ Revision: 59077
- fix major number

* Thu Aug 31 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.5-1mdv2007.0
+ Revision: 58910
- 2.1.5
- 2.1.5

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 2.0.12-2mdv2007.0
+ Revision: 55000
- rebuild
- Import libfwbuilder

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 2.0.12-1mdk
- 2.0.12

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-4mdk
- rebuilt against new net-snmp with new major (10)
- fix build on x86_64

* Thu Dec 22 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.10-3mdk
- remove obsolete Requires: ucd-snmp >= 4.2
- BuildRequires: net-snmp-devel
- BuildRequires: openssl-devel

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-2mdk
- rebuilt against net-snmp that has new major (9)

* Thu Nov 17 2005 Lenny Cartier <lenny@mandriva.com> 2.0.10-1mdk
- 2.0.10

* Mon Sep 26 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-2mdk
- multiarch police?

* Mon Sep 26 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-1mdk
- 2.0.9
- %%mkrel

* Thu May 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-2mdk
- Fix build on amd64

* Thu May 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-1mdk
- New release 2.0.7

* Thu Feb 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5

* Fri Dec 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- 2.0.4

* Tue Oct 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3

* Fri Sep 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2

* Sat Aug 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Wed Jun 16 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-2mdk
- rebuild

